[Launch]
ProgramExecutable="BRPlayer\Aiseesoft Blu-ray Player.exe"
SingleAppInstance=true
WaitForProgram=true
WaitForExe1=AutoPlayService.exe
WaitForExe2=assoSettings.exe
DirectoryMoveOK=yes
SupportsUNC=yes

[Activate]
Registry=true

[RegistryValueWrite]
HKCU\Software\Aiseesoft Studio\Aiseesoft Blu-ray Player\Update\AutoEnabled=REG_SZ:false

[RegistryKeys]
BRPlayer="HKCU\Software\Aiseesoft Studio"
-=HKCU\Software\Classes\CLSID\{3E1A13C3-E458-4995-BEA6-4B9BE279D502}
-=HKCU\Software\Microsoft\Direct3D\MostRecentApplication
-=HKCU\Software\Trolltech

[DirectoriesMove]
BRPlayer=%LOCALAPPDATA%\Aiseesoft Studio\Aiseesoft Blu-ray Player
Docs=%DOCUMENTS%\Aiseesoft Studio

[DirectoriesCleanupIfEmpty]
1=%ALLUSERSAPPDATA%\Aiseesoft Studio
2=%LOCALAPPDATA%\Aiseesoft Studio
3=%Documents%\Aiseesoft Studio\Snapshot
4=%Documents%\Aiseesoft Studio

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\BRPlayer.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\BRPlayer.reg
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\BRPlayer.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\